<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Landing Page Sorteo</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Lobster+Two:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">
    <style>
        body,
        html {
            margin: 0;

            background-image: url('fondo.jpeg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            z-index: 1;
        }

        .overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgb(4 4 4 / 58%);
            z-index: 2;
            /* Fondo detrás del contenido */
        }

        .content {
            position: relative;
            z-index: 3;
            /* Contenido encima del fondo y overlay */
            padding: 20px;
        }

        .formulario {
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        /* Forzamos el z-index alto en el modal */
        .modal {
            z-index: 1050 !important;
            /* Bootstrap default */
        }

        .modal-backdrop {
            z-index: 1040 !important;
            /* Background of modal */
        }
    </style>
</head>

<body>
    <div class="background-image">
        <div class="overlay"></div>
        <div class="container h-100">
            <div class="row h-100 align-items-center justify-content-center">

                <div class="col-sm-12 col-md-6 content text-white">
                    <center><img src="logo.png" class="img-fluid" width="550px"></center>
                    <hr>
                    <h2> Cumplimos 18 años y queremos celebrarlo contigo.</h2>
                    <p>Por que sabemos que hemos formado parte de tus mejores momentos, participa de nuestro sorteo y podrás ganar: Vales de consumo (Experiencias Sofá), vales para desayunos, almuerzos, lonches, happy hour y tortas de chocolates enteras. </p>
                    <a href="terminos-y-condiciones.pdf" target="_blank" style="text-decoration: none; color:#960948;"><b>Términos y condiciones.</b></a>
                </div>
                <div class="col-sm-12 col-md-5 content">
                    <div class="formulario" style="border-radius: 0px; background-color: #960948; color:white; ">
                        <form id="formulario-sorteo" method="post" action="validar">
                            <div class="mb-3">
                                <h2 class="text-center" style="color: #ffffff;padding: 10px;">¡Participa de nuestro sorteo!</h2>
                            </div>
                            <br>
                            <div class="mb-3 d-flex">
                                <div class="flex-grow-1">
                                    <label for="dni" class="form-label">DNI</label>
                                    <input type="text" class="form-control" name="dni" id="dni" maxlength="8" style="border-radius: 0px;" placeholder="Ingrese su DNI" required>
                                </div>
                                <div class="ms-2 align-self-end">
                                    <button type="button" id="buscarDNI" class="btn" style="background-color: #8f8f8f;color: #ffffff;">Buscar</button>
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="name" class="form-label">Nombre Completo</label>
                                <input type="text" class="form-control" name="nombres" id="name" placeholder="" style="border-radius: 0px;" required>
                            </div>
                            <div class="mb-3">
                                <label for="correo" class="form-label">Correo Electrónico</label>
                                <input type="email" class="form-control" name="correo" id="correo" style="border-radius: 0px;" placeholder="Ingrese su correo electrónico" required>
                            </div>
                            <div class="mb-3">
                                <img src="boleta.png" class="img-fluid">
                                <label for="codigo" class="form-label">Número de Boleta o Factura</label>
                                <input type="text" class="form-control" name="numero" id="codigo" maxlength="15" style="border-radius: 0px;" placeholder="Ingrese el Número de boleta o factura" required>

                            </div>
                            <div class="mb-3">
                                <label for="lugar" class="form-label">¿Qué Sofá café visitaste?</label>
                                <select name="lugar" id="lugar" class="form-control">
                                    <option value="select">- Seleccione -</option>
                                    <option value="san-borja">San Borja</option>
                                    <option value="barranco">Barranco</option>
                                    <option value="patio-panorama">Patio Panorama</option>
                                    <option value="magdalena">Magdalena</option>

                                </select>
                            </div>

                            <button type="submit" class="btn btn-primary w-100" style="background-color: #8f8f8f;color: #ffffff;border:none;">Participar del sorteo</button>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    document.getElementById('buscarDNI').addEventListener('click', function() {
        var dni = document.getElementById('dni').value;

        if (dni.length === 8) {
            fetch(`buscarDni.php?dni=${dni}`)
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        document.getElementById('name').value = `${data.persona.nombres} ${data.persona.apellidoPaterno} ${data.persona.apellidoMaterno}`;
                    } else {
                        alert('Cliente no encontrado');
                        document.getElementById('name').value = '';
                    }
                })
                .catch(error => {
                    console.error('Error:', error);
                    alert('Hubo un error en la búsqueda del DNI');
                });
        } else {
            alert('El DNI debe tener 8 dígitos.');
        }
    });
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

</html>