<?php
class Cliente
{
    private $conn;
    private $table_name = "clientes"; // Cambia esto si tu tabla tiene un nombre diferente

    // Propiedades del cliente
    public $id_cliente;
    public $dni;
    public $nombres;
    public $correo;
    public $nro_boleta;
    public $lugar_compra;

    // Constructor para inicializar la conexión a la base de datos
    public function __construct($db)
    {
        $this->conn = $db;
    }


    // Método para verificar si el número de boleta ya existe
    public function boletaexistente()
    {
        $query = "SELECT id_cliente FROM " . $this->table_name . " WHERE boleta = ? LIMIT 0,1";

        $stmt = $this->conn->prepare($query);
        $stmt->bindParam(1, $this->nro_boleta);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            return true; // El número de boleta ya existe
        }
        return false; // El número de boleta no existe
    }
    // Método para crear un nuevo cliente
    public function crear()
    {
        // Verificar si el número de boleta ya existe
        if ($this->boletaexistente()) {
            echo "El número de boleta " . $this->nro_boleta . " ya ha sido registrado anteriormente.";
            return false;
        }

        $query = "INSERT INTO " . $this->table_name . " 
                  SET nombres=:nombres, dni = :dni, correo=:correo, lugar_compra=:lugar_compra,  boleta=:nro_boleta ";

        $stmt = $this->conn->prepare($query);

        // Vincular los parámetros
        $stmt->bindParam(":nombres", $this->nombres);
        $stmt->bindParam(":dni", $this->dni);
        $stmt->bindParam(":correo", $this->correo);
        $stmt->bindParam(":lugar_compra", $this->lugar_compra);
        $stmt->bindParam(":nro_boleta", $this->nro_boleta);

        if ($stmt->execute()) {
            return "Cliente registrado exitosamente.";
            //return true;
        } else {
            return "Error al registrar el cliente.";
            //return false;
        }
    }


}
